matrix:
  platform:
  - debian11
  - ubuntu2204
  - ubuntu2404
  - macos
  - macos_arm64
  # TODO: Support pthread on windows
  # - windows
  bazel: [7.x, 8.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@libxcb'
